Description: adjust to DateTime::Locale 1.33
Origin: vendor
Bug-Debian: https://bugs.debian.org/998560
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2021-11-04
Forwarded: https://github.com/dagolden/Date-Tiny/pull/1
Bug: https://github.com/dagolden/Date-Tiny/pull/1

--- a/t/02_main.t
+++ b/t/02_main.t
@@ -61,7 +61,10 @@
 	# Expand to a DateTime
 	my $dt = $date->DateTime;
 	# DateTime::Locale version 1.00 changes "C" to "en-US-POSIX".
-	my $expected = eval { DateTime::Locale->VERSION(1) } ? "en-US-POSIX" : "C";
+	# DateTime::Locale version 1.33 changes "en-US-POSIX" to "en_US".
+	my $expected = eval { DateTime::Locale->VERSION(1.33) } ? "en-US" :
+		eval { DateTime::Locale->VERSION(1) } ? "en-US-POSIX" :
+		"C";
 	is( $dt->locale->id,      $expected,  '->locale ok'   );
 	isa_ok( $dt, 'DateTime' );
 	is( $dt->time_zone->name, 'floating', '->timezone ok' );
